Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.sitemap.serialization
Class GzipXMLSerializer

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  org.apache.cocoon.serialization.AbstractSerializer
                      org.apache.cocoon.serialization.AbstractTextSerializer
                          fr.gouv.culture.sdx.sitemap.serialization.GzipXMLSerializer

All Implemented Interfaces:
  org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.cocoon.caching.CacheableProcessingComponent, org.apache.cocoon.serialization.Serializer, org.apache.cocoon.sitemap.SitemapOutputComponent, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class GzipXMLSerializer

extends org.apache.cocoon.serialization.AbstractTextSerializer

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cocoon.serialization.AbstractTextSerializer
`org.apache.cocoon.serialization.AbstractTextSerializer.NamespaceAsAttributes`

Field Summary

Fields inherited from class org.apache.cocoon.serialization.AbstractTextSerializer
`format`

Fields inherited from class org.apache.cocoon.serialization.AbstractSerializer
`output`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface org.apache.cocoon.serialization.Serializer
`ROLE`

Constructor Summary
`GzipXMLSerializer()`

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration conf)` Set the configurations for this serializer.
`void` | `endDocument()`
`void` | `recycle()` Recycle the serializer.
`void` | `setOutputStream(java.io.OutputStream out)`

Methods inherited from class org.apache.cocoon.serialization.AbstractTextSerializer
`contextualize, getKey, getTransformerFactory, getTransformerHandler, getValidity, needsNamespacesAsAttributes, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.serialization.AbstractSerializer
`getMimeType, shouldSetContentLength`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Constructor Detail

### GzipXMLSerializer

    public GzipXMLSerializer()

Method Detail

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration conf)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Set the configurations for this serializer.

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Overrides:
    `configure` in class `org.apache.cocoon.serialization.AbstractTextSerializer`
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### setOutputStream

    public void setOutputStream(java.io.OutputStream out)

  Specified by:
    `setOutputStream` in interface `org.apache.cocoon.sitemap.SitemapOutputComponent`
  Overrides:
    `setOutputStream` in class `org.apache.cocoon.serialization.AbstractSerializer`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `org.apache.cocoon.xml.AbstractXMLPipe`

### recycle

    public void recycle()

  Recycle the serializer. GC instance variables

  Specified by:
    `recycle` in interface `org.apache.avalon.excalibur.pool.Recyclable`
  Overrides:
    `recycle` in class `org.apache.cocoon.serialization.AbstractTextSerializer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.